body{
    margin: 0;
    padding: 0;
    height: 100vh;
    overflow-y: hidden;
    background: rgb(219, 217, 217);
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Helvetica,Arial,sans-serif;
}

section{
    max-width: 500px;
    height: 100vh;
    margin: auto;
    background:white;

}

header{
    display: flex;
    height: 60px;
    position: sticky;
    top: 0; 
    display: grid;
    grid-template-columns: 1.5fr 5fr 1fr 1fr  ;
    grid-column-gap: 10px;
    padding-right: 10px;
    background: #0073b1;
}

header a{
    display: flex;
    text-decoration: none;
    color: unset;
    margin: auto;
    width: fit-content;
    width: -moz-fit-content;

}

header img{
    width: 20px;
}

header .lnk{
    margin: auto;
    width: 20px;
}

header .lnk2{
    margin: auto;
    width: 25px;
}

header .lnk3{
    margin: auto;
    width: 9px;
}

header .inv{
    filter: invert(1);
}

header .chat-title{
    display: flex;
    margin: unset;
    width: fit-content;
    width: -moz-fit-content;

    flex-direction: column;
    justify-content: center;
}

header .title{
    color: white;
    font-size: 20px;
}

header .chat-title p{
    margin: 0;
    width: fit-content;
    width: -moz-fit-content;

    margin-left: 10px;
}

nav {
    display: grid;
    height: 50px;
    grid-template-columns: 1fr 6fr 1fr;
    border-bottom: 1px solid rgba(187, 186, 186, 0.89);
}

nav a{
    display: flex;
    justify-content: center;
    align-items: center;
}

nav a img{
    display: flex;
    justify-content: center;
    margin: auto;
}

nav input{
    outline: none;
    font-size: 16px;
    border: none;
    line-height: 18px;
    width: inherit;
}


nav .inv{
    filter: invert(0.5);
}


nav .lnk3{
    width: 20px;
}

.filters-wrapper{
    height: 50px;
    display: none;
    overflow: hidden;
    overflow-x: scroll;
    align-items: center;
    border-bottom: 1px solid rgba(187, 186, 186, 0.89);

}

.visible{
    display: block;
}

.filters{
    display: flex;
    width: max-content;
    height: 50px;
    align-items: center;
}

.filters-wrapper::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}

.filters-wrapper::-webkit-scrollbar-thumb {
    transition: all 0.5s;
}

.filters-wrapper:hover::-webkit-scrollbar-thumb{
    background: #aaa;
    border-radius: 10px;

}

.filters-wrapper:hover::-webkit-scrollbar-thumb {
    background: #DDDDDD;
    border-radius: 10px;
}






.filters a{
    text-decoration: none;
    color: rgb(49, 46, 46);
    font-weight: 500;
    font-size: 13px;
    padding: 5px 10px;
    border-radius: 15px;
    margin: auto 15px;
    background-color: #e3e3e4;
    width: fit-content;
    transition: all 0.3s;
}

.filters a:hover{
    color: white;
    background: #0073b1;
}

.filters a.selected{
    color: white;
    background: #0073b1;
}



main{
    height: calc(100vh - 100px);
    margin: 0;
    overflow-y: scroll;

}

.change-height{
    height: calc(100vh - 150px);
}

main::-webkit-scrollbar {
    display: none;
}
  
main {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    overflow-x: hidden;
}

main ul{
    margin: 0;
    margin-bottom: 20px;
    margin-top: 10px;
    padding: 0;
    bottom: 0;
}

main ul li{
    list-style-type: none;
    display: grid;
    padding: 1px 10px 7px 10px;
    grid-template-columns: 80px 1fr 80px;
    grid-template-rows: 25px 40px;
    grid-template-areas: 'img username time'
    'img msg time';
    cursor: pointer;
    transition: background-color 0.3s;
    padding: 10px 0;
    /* height: 300px; */
}

main ul li:hover{
    background-color: #ddd;
}

hr{
    margin: 0;
    /* width: 80%; */
    margin-left: 80px;
    margin-right: 20px;
    border-top: 1px solid #c7c7c7;
}

main ul li.left{
    display: grid;
    grid-template-columns: 70px 1fr;
}

main ul li img{
    grid-area: img;
    width: 60px;
    margin: auto;
}

main .username {
    grid-area: username;
    margin: 0;
    margin-top: 2px;
    font-size: 18px;
    font-weight: 600;
}

main .msg {
    grid-area: msg;
    padding: 0;
    margin: 0;
    overflow: hidden;
    height: 36px;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-top: 3px;
    margin-bottom: 7px;
    line-height: 17px;
}


main .time{
    grid-area: time;
    margin: auto 15px;
    color: rgba(73, 71, 71, 0.808);
}


main .left li p{
    border-radius: 25px;
    line-height: 20px;
    margin: 4px 0;
    margin-right: 15px;
    font-size: 14px;
    border: 1px solid rgba(196, 191, 191, 0.808);
    width: fit-content;
    width: -moz-fit-content;

    padding: 7px 15px;
    max-width: 180px;
}

main .left li img{
    display: flex;
    /* margin-left: auto; */
    margin-left: 0px;
    margin-top: 5px;
    margin-bottom: 5px;
    width: 200px;
    border-radius: 25px;
}

main .right li p{
    border-radius: 25px;
    line-height: 20px;
    margin: 4px 0;
    margin-left: auto;
    margin-right: 15px;
    font-size: 14px;
    border: 1px solid rgba(191, 224, 233, 0.192);
    width: fit-content;
    width: -moz-fit-content;

    padding: 7px 15px;
    max-width: 180px;
    background-color: rgb(233, 240, 238);
}

main .right {
    padding-left: 15px;
}

main .right li img{
    display: flex;
    margin-left: auto;
    margin-right: 15px;
    margin-top: 5px;
    margin-bottom: 5px;
    width: 200px;
    border-radius: 25px;
}

main .sent-img{
    cursor: pointer;
}

main .seen{
    display: flex;
    width: fit-content;
    width: -moz-fit-content;
    margin: 0;
    margin-left: auto;
    margin-right: 40px;
    color: grey;
    font-size: 15px;
}

main .day{
    display: flex;
    width: fit-content;
    width: -moz-fit-content;
    margin: 15px auto;
    color: grey;
    font-size: 15px;
}



footer{
    display: flex;
    height: 90px;
    position: sticky;
    bottom: 0;
    background: white;
}

footer .input-bar{
    width: 90%;
    height: 50px;
    border-radius: 25px;
    border: 1px solid grey;
    margin: 20px auto;
    display: grid;
    padding: 0 7px 0 0;
    grid-template-columns: 50px 1fr 45px 45px 45px;
}

footer .input-bar a{
    display: flex;
    width: fit-content;
    width: -moz-fit-content;

    margin: auto;
    justify-content: center;
}

footer .input-bar .camera{
    background-color: rgb(168, 74, 30);
    border-radius: 50%;
    width: 18px;
    padding: 8px;
    filter: invert(1);
    margin: 5px;
}

footer .input-bar input{
    outline: none;
    font-size: 16px;
    border: none;
    line-height: 18px;
    width: inherit;
}

footer .input-bar .mic{
    width: 23px;
    margin: auto;
}

footer .input-bar .img{
    width: 25px;
    margin: auto;
}

footer .input-bar .stk{
    width: 18px;
    margin: auto;
}


footer .lnk3{
    width: 22px;
}